%define module  XML-LibXML
%define name    perl-%{module}
%define version 1.60
%define release %mkrel 1

Name:               %{name}
Version:            %{version}
Release:            %{release}
Summary:            Perl Binding for libxml2
License:            GPL or Artistic
Group:              Development/Perl
Url:                http://search.cpan.org/dist/%{module}/
Source:             http://www.cpan.org/modules/by-module/XML/%{module}-%{version}.tar.bz2
Requires(post):     libxml2
Requires(post):     perl-XML-SAX >= 0.11
Requires(post):     perl-XML-LibXML-Common
Requires(preun):    libxml2
Requires(preun):    perl-XML-SAX >= 0.11
Requires(preun):    perl-XML-LibXML-Common
BuildRequires:      libxml2-devel >= 2.4.20
BuildRequires:      perl-devel
BuildRequires:      perl(XML::NamespaceSupport)
BuildRequires:      perl(XML::SAX)
BuildRequires:      perl(XML::LibXML::Common)
BuildRoot:          %{_tmppath}/%{name}-%{version}

%description
This module implements much of the DOM Level 2 API as an 
interface to the Gnome libxml2 library. This makes it a fast
and highly capable validating XML parser library, as well as
a high performance DOM.

%prep
%setup -q -n %{module}-%{version}

%build
# only when building from CVS (version 1.51-3mdk)
#CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
#make docs -i
# only when building from CVS (version 1.51-3mdk)
SKIP_SAX_INSTALL=1 CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%preun -p %{__perl}
use XML::SAX;
XML::SAX->remove_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%post -p %{__perl}
use XML::SAX;
XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%files
%defattr(-,root,root)
%doc Changes README example/*
%{perl_vendorarch}/auto/XML/LibXML
%{perl_vendorarch}/XML/LibXML*
%{_mandir}/*/*

%changelog
* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.60-1mdv2007.0
- New version 1.60

* Fri Aug 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.59-1mdv2007.0
- new version
- rpmbuildupdate aware

* Fri Feb  3 2006 Pixel <pixel@mandriva.com> 1.58-3mdk
- rebuild
- don't use make install PREFIX, added SKIP_SAX_INSTALL for makeinstall_std to work
- drop MANIFEST from doc

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.58-2mdk
- rebuild for new perl

* Sun Apr 18 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.58-1mdk
- 1.58
- use %%make macro

* Tue Aug 26 2003 Franois Pons <fpons@mandrakesoft.com> 1.56-1mdk
- removed patch now integrated.
- 1.56.

* Thu Aug 21 2003 Franois Pons <fpons@mandrakesoft.com> 1.55-1mdk
- created patch to allow compilation with perl-5.8.1.
- 1.55.

* Sat May 31 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.54-1mdk
- 1.54

* Thu May 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.53-2mdk
- rebuild for new autoreq
- disable tests that broke the build since 2 of them failled for now

* Mon Nov  4 2002 Pixel <pixel@mandrakesoft.com> 1.53-1mdk
- clean %%files
- uses XML::LibXML::Common
- fix license
- new release

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 1.52-3mdk
- rebuild for perl thread-multi

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.52-2mdk
- rebuild for perl 5.8.0

* Thu Jun 20 2002 Philippe Libat <philippe@mandrakesoft.com> 1.52-1mdk
- 1.52

* Thu Jun 06 2002 Philippe Libat <philippe@mandrakesoft.com> 1.51-3mdk
- apply CVS fixes (pre1.52)

* Wed Jun 05 2002 Stefan van der Eijk <stefan@eijk.nu> 1.51-2mdk
- BuildRequires

* Tue Jun 04 2002 Philippe Libat <philippe@mandrakesoft.com> 1.51-1mdk
- 1.51

* Tue May 28 2002 Franois Pons <fpons@mandrakesoft.com> 1.50-1mdk
- 1.50.

* Mon May 13 2002 Franois Pons <fpons@mandrakesoft.com> 1.49-1mdk
- 1.49.

* Tue Mar 26 2002 Franois Pons <fpons@mandrakesoft.com> 1.40-1mdk
- removed filelist.
- create %%post and %%preun for adding/removing XML parser.
- 1.40.

* Fri Feb 22 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.31-2mdk
- added BuildRequires perl-XML-SAX

* Thu Jan 31 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.31-1mdk
- 1.31.

* Thu Nov 15 2001 Philippe Libat <philippe@mandrakesoft.com> 1.00-1mdk
- initial RPM
